;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Copyright (c) 2002 TIMEX Corporation.
; 
; This document is the property of, and contains information proprietary to
; TIMEX Corporation.  It is to be returned upon request.  Reproduction by any
; means, disclosure, or use of its contents for other than the expressed
; purpose for which it is loaned, without the written consent of TIMEX
; Corporation, is strictly prohibited.
;
; File Name :   cnt.h
; Purpose   :   Counter mode application header
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;==============================================================================
;
; STATE REDEFINITIONS
;
;==============================================================================

CNTBANNERSTATE              equ     COREBANNERSTATE 
CNTDEFAULTSTATE             equ     COREDEFAULTSTATE
CNTSETBANNERSTATE           equ     CORESETBANNERSTATE
CNTSETSTATE                 equ     CORESETSTATE      

;==============================================================================
;
; EVENT REDEFINITIONS
;
;==============================================================================

CNT_STATEENTRY              equ     COREEVENT_STATEENTRY
CNT_TIMEOUTDONELOWRES       equ     COREEVENT_TIMEOUTDONE_LOWRES
CNT_TIMEOUTDONEHIGHRES      equ     COREEVENT_TIMEOUTDONE_HIGHRES
CNT_TIMEOUTDONESTICKY       equ     COREEVENT_STICKY_TIMEOUTDONE
CNT_ELDEPRESS               equ     COREEVENT_CROWN_EL_DEPRESS
CNT_ELRELEASE               equ     COREEVENT_CROWN_EL_RELEASE
CNT_CROWNHOME               equ     COREEVENT_CROWN_HOME
CNT_CROWNSET                equ     COREEVENT_CROWN_SET1
CNT_CWPULSES                equ     COREEVENT_CW_PULSES
CNT_CCWPULSES               equ     COREEVENT_CCW_PULSES
CNT_CWEDGE                  equ     COREEVENT_CW_EDGE_TRAILING
CNT_CCWEDGE                 equ     COREEVENT_CCW_EDGE_TRAILING
CNT_MODEDEPRESS             equ     COREEVENT_SWITCH1DEPRESS
CNT_STOPRESETDEPRESS        equ     COREEVENT_SWITCH2DEPRESS
CNT_STARTSPLITDEPRESS       equ     COREEVENT_SWITCH3DEPRESS
CNT_MODERELEASE             equ     COREEVENT_SWITCH1RELEASE
CNT_STOPRESETRELEASE        equ     COREEVENT_SWITCH2RELEASE
CNT_STARTSPLITRELEASE       equ     COREEVENT_SWITCH3RELEASE
CNT_POPUPCANCEL             equ     COREEVENT_MELODYPOPUPCANCEL 
CNT_DISPLAYUPDATETODRES     equ     COREEVENT_DISPLAY_UPDATE_TODRES
CNT_ICONREFRESH             equ     COREEVENT_ICON_REFRESH 
CNT_ANYSWITCHDEPRESS        equ     COREEVENT_ANYSWITCHDEPRESS
CNT_ANYSWITCHRELEASE        equ     COREEVENT_ANYSWITCHRELEASE

;==============================================================================
;
; SWITCH MASK REDEFINITIONS
;
;==============================================================================

CNTSWITCHMASK_MODE          equ     bCORESwitch1
CNTSWITCHMASK_STOPRESET     equ     bCORESwitch2
CNTSWITCHMASK_STARTSPLIT    equ     bCORESwitch3
CNTSWITCHMASK_CW            equ     bCORECWSwitch
CNTSWITCHMASK_CCW           equ     bCORECCWSwitch
CNTSWITCHMASK_EL            equ     bCOREELSwitch

CNTSWITCHMASK_CW_CCW_EL     equ     (CNTSWITCHMASK_CW | CNTSWITCHMASK_CCW | CNTSWITCHMASK_EL)
        

;==============================================================================
;
; HIGH RESOLUTION TIMEOUT DEFINITIONS (Based on 8Hz)
;
;==============================================================================
                                                              
CNTHIRESTO_1P5SECONDS       equ     TIMEOUTHIRES_1P5SEC       
CNTHIRESTO_2SECONDS         equ     TIMEOUTHIRES_2SEC         
                                                              
;==============================================================================
;
; MISCELLANEOUS DEFINITIONS
;
;==============================================================================

CNTMINDATA                  equ     0000h
CNTMAXDATA                  equ     0999h
