;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Copyright (c) 2002 TIMEX Corporation.
; 
; This document is the property of, and contains information proprietary to
; TIMEX Corporation.  It is to be returned upon request.  Reproduction by any
; means, disclosure, or use of its contents for other than the expressed
; purpose for which it is loaned, without the written consent of TIMEX
; Corporation, is strictly prohibited.
;
; File Name    : cntpor.asm
; Purpose      : counter parameter file
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        GLOBAL  cntwaPORInitializationParameters

cntwaPORInitializationParameters:

                ;============================================================
                ; ACB offset mask.
                ;============================================================

                ; Application System Data is located in heap.
                ; Other ACB entries are located either in ROM or EEPROM.
                db      bCOREAppSystemDataOffset


                ;============================================================
                ; Number of resources required.
                ;============================================================

                db      00h                         ; TOD
                db      00h                         ; Backup
                db      00h                         ; Time Zone Check
                db      00h                         ; Timer Resource
                db      00h                         ; Stopwatch Resource
                db      00h                         ; Synchro Timer Resource

                ;============================================================
                ; Flag(s) ownership.
                ;============================================================

                db      0                           ; LCD Flags 1
                db      0                           ; LCD Flags 2

                ;============================================================
                ; Heap size requirements.
                ;============================================================

                dw      0000H                         ; Code
                dw      CNTSYSTEMDATASIZE             ; ASD
                dw      CNTDATABASEDATASIZE           ; ADD

                ;============================================================
                ; Application Configuration Data Byte.
                ;============================================================

                db      COREACDEEPROMAPP            ; Code is external.
                                                    ; ADD is external. (Counter has no DB)


                ;============================================================
                ; Application Unique ID.
                ;============================================================

                db      COREAPPTYPECOUNTER          ; Application type
                db      00h                         ; Application instance number

                ;============================================================
                ; ACB Parameters.
                ;============================================================

                dw      CNTSYSTEMDATASTARTOFFSET    ; ASD address offset.
                dw      CNTDATABASESTARTOFFSET      ; ADD address offset.
                dw      CODESTATEADDRESS            ; App state manager address (Absolute Address).
                dw      CODECOMMONADDRESS           ; App background handler address (Absolute Address).
                dw      lcdBannerMsg_COUNTER        ; App mode name function address (Absolute Address).


